declare module '*.css' {
    const cssModule: {
        [className: string]: string
    };

    export default cssModule;
}

// you can place your custom typings here
// when using TP mashup dependencies as modules, it might be
// a good idea to provide typings for them, for example:
/*
declare module 'targetprocess-settings' {
    interface MenuDescriptor {
        id: string;
        text: string;
        groupId?: string;
        url?: string;
        insert: (params: {
            addDestroyable: (destroyable: {destroy: () => void}) => void
        }) => Promise<HTMLElement>;
        isVisible?: () => boolean;
        style?: {
            isDeprecated?: boolean;
            isBeta?: boolean;
            showCaret?: boolean;
        }
    }

    export class MenuApi {
        addItem(item: MenuDescriptor): void
    }

    const SettingsApi: {
        getMenu(): MenuApi
    };

    export default SettingsApi;
}
*/
