/* eslint-env jest */
import {App} from '../src/components/App';
import React from 'react';
import {shallow} from 'enzyme';

describe('App', () => {
    it('should render correctly', () => {
        const wrapper = shallow(<App />);

        expect(wrapper.text()).toBe('Hello from <%= displayName %>!');
        expect(wrapper.hasClass('app')).toBe(true);
        expect(wrapper.find('.app').type()).toBe('h1');
    });
});
