import React from 'react';

type SmallComponentProps = {
  id: number;
};

class SmallComponent extends React.Component<SmallComponentProps> {
  render() {
    return 'foo';
  }
}

type CustomComponentProps = {
  name: string;
};

class CustomComponent extends React.Component<CustomComponentProps> {
  render() {
    return (
      <div>
        <SmallComponent id={5} />
      </div>
    );
  }
}

export function initialize() {
  window['tau']['smallComponent'] = SmallComponent;
  window['tau']['reactElement'] = new CustomComponent({name: 'foo'}).render();
}
